Package tigase.eventbus.component

# Class SubscribeModule

java.lang.Object
tigase.component.modules.AbstractModule
tigase.eventbus.component.AbstractEventBusModule
tigase.eventbus.component.SubscribeModule

All Implemented Interfaces:
  `Module`, `Initializable`, `UnregisterAware`

@Bean(name="subscribe", active=true) public class SubscribeModule extends AbstractEventBusModule implements Initializable, UnregisterAware

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SubscribeModule.NewRemoteSubscriptionEvent`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ID`

  ### Fields inherited from class tigase.component.modules.AbstractModule

  `eventBus, log, writer`

  ### Fields inherited from interface tigase.component.modules.Module

  `EMPTY_FEATURES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscribeModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beforeUnregister()`
  Method called before bean unregister.
  `void`
  `clusterNodeConnected(JID node)`
  `void`
  `clusterNodeDisconnected(JID node)`
  `String[]`
  `getFeatures()`
  Returns XMPP features offered by module.
  `Criteria`
  `getModuleCriteria()`
  Returns critera used by Component to select module to handle incoming stanza.
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `protected void`
  `onAddHandler(String eventName, String eventPackage)`
  `void`
  `process(Packet packet)`
  Process incoming stanza.
  `protected Element`
  `processClusterSubscription(Packet packet)`
  `protected Element`
  `processNonClusterSubscription(Packet packet)`
  `protected void`
  `sendSubscribeRequest(String to, Collection<Element> subscriptionElements)`

  ### Methods inherited from class tigase.eventbus.component.AbstractEventBusModule

  `isClusteredEventBus, nextStanzaID`

  ### Methods inherited from class tigase.component.modules.AbstractModule

  `fireEvent, getEventBus, getWriter, setEventBus, setWriter, write, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.component.modules.Module

  `canHandle`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SubscribeModule

    public SubscribeModule()

- ## Method Details

  - ### beforeUnregister

    public void beforeUnregister()
    Description copied from interface: `UnregisterAware`
    Method called before bean unregister.
    Specified by:
      `beforeUnregister` in interface `UnregisterAware`

  - ### clusterNodeConnected

    public void clusterNodeConnected(JID node)

  - ### clusterNodeDisconnected

    public void clusterNodeDisconnected(JID node)

  - ### getFeatures

    public String[] getFeatures()
    Description copied from interface: `Module`
    Returns XMPP features offered by module. Features will be returned by Service Discovery.
    Specified by:
      `getFeatures` in interface `Module`
    Returns:
      array of features or `null`.

  - ### getModuleCriteria

    public Criteria getModuleCriteria()
    Description copied from interface: `Module`
    Returns critera used by Component to select module to handle incoming stanza.
    Specified by:
      `getModuleCriteria` in interface `Module`
    Returns:
      criteria of selecting module.

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`

  - ### onAddHandler

    protected void onAddHandler(String eventName, String eventPackage)

  - ### process

    public void process(Packet packet) throws ComponentException, TigaseStringprepException
    Description copied from interface: `Module`
    Process incoming stanza.
    Specified by:
      `process` in interface `Module`
    Parameters:
      `packet` - received `stanza`.
    Throws:
      `ComponentException` - if stanza can't be processed correctly. ComponentException is converted to error stanza and returned to stanza sender.
      `TigaseStringprepException` - if there was an error during stringprep processing.

  - ### processClusterSubscription

    protected Element processClusterSubscription(Packet packet) throws TigaseStringprepException
    Throws:
      `TigaseStringprepException`

  - ### processNonClusterSubscription

    protected Element processNonClusterSubscription(Packet packet) throws TigaseStringprepException, ComponentException
    Throws:
      `TigaseStringprepException`
      `ComponentException`

  - ### sendSubscribeRequest

    protected void sendSubscribeRequest(String to, Collection<Element> subscriptionElements)